# 夜莺开源项目和社区治理架构(草案)

#### 用户(User)

>欢迎任何个人、公司以及组织，使用 Nightingale，并积极的反馈 bug、提交功能需求、以及相互帮助，我们推荐使用 github issue 来跟踪 bug 和管理需求。

#### 贡献者(Contributer)

>欢迎每一位用户，包括但不限于以下列方式参与到 Nightingale 开源项目并做出贡献：
>1. 在 [github issue](https://github.com/ccfos/nightingale/issues) 中积极参与讨论；
>2. 提交代码补丁；
>3. 修订、补充和完善文档；
>4. 提交建议 / 批评；

#### 提交者(Committer)

>Committer 是指拥有 Nightingale 代码仓库写操作权限的贡献者，而且他们也签署了 Nightingale 项目贡献者许可协议（CLA），他们拥有 ccf.org.cn 为后缀的邮箱地址。原则上 Committer 能够自主决策某个代码补丁是否可以合入到 Nightingale 代码仓库，但是项目管委会拥有最终的决策权。

#### 项目管委会成员(PMC Member) 

> 项目管委会成员，从贡献者或者 Committer 中选举产生，他们拥有 Nightingale 代码仓库的写操作权限，拥有 ccf.org.cn 为后缀的邮箱地址，拥有 Nightingale 社区相关事务的投票权、以及提名 Committer 候选人的权利。 项目管委会作为一个实体，为整个项目的发展全权负责。

#### 项目管委会主席(PMC Chair)

> 项目管委会主席采用任命制，由 [CCF ODC](https://www.ccf.org.cn/kyfzwyh/) 从项目管委会成员中任命产生。项目管委会作为一个统一的实体，来管理和领导 Nightingale 项目。管委会主席是 CCF ODC 和项目管委会之间的沟通桥梁，履行特定的项目管理职责。

# 沟通机制(Communication)
1. 我们推荐使用邮件列表来反馈建议（待发布）；
2. 我们推荐使用 [github issue](https://github.com/ccfos/nightingale/issues) 跟踪 bug 和管理需求；
3. 我们推荐使用 [github milestone](https://github.com/ccfos/nightingale/milestones) 来管理项目进度和规划；
4. 我们推荐使用腾讯会议来定期召开项目例会；

# 文档(Documentation)
1. 我们推荐使用 [github pages](https://n9e.github.io) 来沉淀文档；
2. 我们推荐使用 [gitlink wiki](https://www.gitlink.org.cn/ccfos/nightingale/wiki/faq) 来沉淀FAQ；


# 运营机制(Operation)
1. 我们定期组织用户、贡献者、项目管委会成员之间的沟通会议，讨论项目开发的目标、方案、进度，以及讨论相关需求的合理性、优先级等议题；
2. 我们定期组织 meetup （线上&线下），创造良好的用户交流分享环境，并沉淀相关内容到文档站点；
3. 我们定期组织 Nightingale 开发者大会，分享 best user story、同步年度开发目标和计划、讨论新技术方向等；

# 社区指导原则(Philosophy)
- 尊重、认可和记录每一位贡献者的工作；

# 关于提问的原则
按照**尊重、认可、记录每一位贡献者的工作**原则，我们提倡**高效的提问**，这既是对开发者时间的尊重，也是对整个社区的知识沉淀的贡献：

1. 提问之前请先查阅 [FAQ](https://www.gitlink.org.cn/ccfos/nightingale/wiki/faq) ；
2. 提问之前请先搜索 [github issue](https://github.com/ccfos/nightingale/issues)；
3. 我们优先推荐通过提交 github issue 来提问，如果[有问题点击这里](https://github.com/ccfos/nightingale/issues/new?assignees=&labels=kind%2Fbug&template=bug_report.yml) | [有需求建议点击这里](https://github.com/ccfos/nightingale/issues/new?assignees=&labels=kind%2Ffeature&template=enhancement.md)；
4. 最后，我们推荐你加入微信群，针对相关开放式问题，相互交流咨询 (请先加好友：[UlricGO](https://www.gitlink.org.cn/UlricQin/gist/tree/master/self.jpeg) 备注：夜莺加群+姓名+公司，交流群里会有开发者团队和专业、热心的群友回答问题)；